## sift 0.1.0

=== DESCRIPTION ===
Package: sift
Type: Package
Title: Intelligently Peruse Data
Version: 0.1.0
Authors@R: 
    c(person(given = "Scott",
             family = "McKenzie",
             role = c("aut", "cre"),
             email = "sccmckenzie@gmail.com"),
      person(given = "RStudio",
             role = c("cph"),
             comment = "internal functions from dplyr.R"))
Maintainer: Scott McKenzie <sccmckenzie@gmail.com>
Description: Facilitate extraction of key information from common datasets.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: pastecs (>= 1.3.21), stats, dplyr (>= 1.0.0), rlang (>=
        0.4.3), tidyr (>= 1.0.0), tibble, purrr, glue, tidyselect
RoxygenNote: 7.1.1
Suggests: knitr, ggplot2, testthat (>= 3.0.0), rmarkdown, mopac, hms,
        stringr, readr
Config/testthat/edition: 3
Depends: R (>= 3.3.0)
VignetteBuilder: knitr
LinkingTo: cpp11
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2021-07-03 18:58:25 UTC; Scott
Author: Scott McKenzie [aut, cre],
  RStudio [cph] (internal functions from dplyr.R)
Repository: CRAN
Date/Publication: 2021-07-05 09:10:02 UTC
