## sift 4.0.3b

=== debian/changelog ===
sift (4.0.3b-6) unstable; urgency=medium

  * Binary Upload since non-free packages are not autobuild

 -- Andreas Tille <tille@debian.org>  Tue, 05 Dec 2017 09:46:16 +0100

sift (4.0.3b-5) unstable; urgency=medium

  * Fix URLs
  * Add myself to Uploaders
  * Moved debian/upstream to debian/upstream/metadata
  * Adapt d/watch to new source download location
  * cme fix dpkg-control
  * Remove inactive uploaders
  * d/watch: version=4
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1; DEP5
  * Point watch URL to new location

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 11:49:11 +0100

sift (4.0.3b-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add citations

  [ Laszlo Kajan ]
  * Merge updates from Ubuntu 4.0.3b-3ubuntu1.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 08 Oct 2012 16:41:15 +0200

sift (4.0.3b-3ubuntu1) quantal; urgency=low

  * Merge with Debian unstable. Remaining changes: 
    - Update patches/debian/ld-as-needed:
      Move libs from LDFLAGS to LIBS.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 May 2012 11:38:24 +0200

sift (4.0.3b-3) unstable; urgency=low

  * Added patches from Michael Bienia <geser@ubuntu.com>.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 23 May 2012 18:46:18 +0200

sift (4.0.3b-2) unstable; urgency=low

  * Missing dependency blimps-utils added.
    blimps-utils provides fastaseqs, called by some scripts in sift.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 02 Apr 2012 11:50:09 +0200

sift (4.0.3b-1) unstable; urgency=low

  * Initial release (Closes: #660272)

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 23 Feb 2012 18:55:23 +0100
