=== debian/control ===
Source: sift
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 10),
               libblimps3-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sift.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sift.git
Homepage: http://sift.bii.a-star.edu.sg/

Package: sift
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         blimps-utils,
         csh
Description: predicts if a substitution in a protein has a phenotypic effect
 SIFT is a sequence homology-based tool that sorts intolerant from tolerant
 amino acid substitutions and predicts whether an amino acid substitution
 in a protein will have a phenotypic effect. SIFT is based on the premise
 that protein evolution is correlated with protein function. Positions
 important for function should be conserved in an alignment of the protein
 family, whereas unimportant positions should appear diverse in an alignment.
