=== debian/watch ===
version=4

http://sift.bii.a-star.edu.sg/www/code.html .*/public/sift@ANY_VERSION@@ARCHIVE_EXT@

# http://sift.bii.a-star.edu.sg/ .*/sift([0-9][0-9a-z.]*)\.tar\.[gzbl2]{2,3}
