=== debian/changelog ===
sift (6.2.1-2) unstable; urgency=medium

  * Team upload.
  * Extract parallel from DEB_BUILD_OPTIONS without eval. Closes: #1103329.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. Closes: #1114377.
  * Disable Salsa CI jobs which are known not to work.
  * Enable nocheck build profile job in Salsa CI.
  * Update standards-version.
  * Turn off DH_VERBOSE.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Sep 2025 02:30:00 +0200

sift (6.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * New upstream version.  (Closes: #1066998)
  * d/u/metadata:
    - added RRIDs
    - yamllint clean

  [ Andreas Tille ]
  * Fix watch file
  * Fix Vcs fields
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Étienne Mollier <emollier@debian.org>  Wed, 15 Jan 2025 20:06:01 +0100
