=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                libblimps3-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sift.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sift.git
-Homepage: http://sift.bii.a-star.edu.sg/
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/sift
+Vcs-Git: https://salsa.debian.org/med-team/sift.git
+Homepage: https://sift.bii.a-star.edu.sg/
 
 Package: sift
 Architecture: any
