=== debian/watch ===
version=4

http://sift.bii.a-star.edu.sg/www/code.html .*/sift@ANY_VERSION@@ARCHIVE_EXT@
